package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Invmon;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InvmonMapper {

    int insert(Invmon record);

    int deleteByPrimaryKey(Invmon record);

    List<Invmon> selectByOwnref(String ownref);

    int updateByPrimaryKey(Invmon record);

    Invmon selectByPrimaryKey(String inr);

    List<Invmon> selectByInvcodInvnumOwnref(@Param("invcod") String invcod, @Param("invnum") String invnum, @Param("ownref") String ownref);

    List<Invmon> selectByWylsh(String wylsh);
}
